Subject: [Mipshop] RFC4068bis

From: Rajeev Koodli <[email-masked]>
Date: Wed, 21 Mar 2007 03:37:04 -0700

Folks,

Please let me know if you have any comments on the recently revised version,
especially about the BADF option and deprecating FNA.

Thanks,

-Rajeev

_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: "Kandra Mohan-a22098" <[email-masked]>
Date: Fri, 23 Mar 2007 20:22:14 +0800

Hi,

I have few doubts.

In reactive mode, without confirming the NCOA, how can an MN send a FBU
immediately after UNA.

Lets consider the scenario. 
Some node is already using the NCOA on NAR's link. MN attaches to NAR
and sends a UNA and then an FBU. Now when PAR receives this FBU with
that NCOA, it will send FBACK and the buffer packets to that NCOA, (by
skipping HI/HACk procedure, as mentioned in Bis section 6.3.2). If so,
the other node with that NCOA will be flooded with the packets and the
actual MN will lose the packets.

I think, MN should send FBU only after confirming NCOA on the NAR's
link, as it was implemented in 4068 in the from of FNA[FBU].

Thanks & Regards,
Mohan

-----Original Message-----
From: Rajeev Koodli [mailto:[email-masked]] 
Sent: Wednesday, March 21, 2007 4:07 PM
To: [email-masked]
Subject: [Mipshop] RFC4068bis

Folks,

Please let me know if you have any comments on the recently revised
version,
especially about the BADF option and deprecating FNA.

Thanks,

-Rajeev

---

From: "Kandra Mohan-a22098" <[email-masked]>
Date: Fri, 23 Mar 2007 20:29:48 +0800

Hi,

In Figure 3. "Reactive" Fast Handover, HI and HACK messages has to be
indicated, which I think discussed earlier for 4068.

Thanks & regards,
Mohan

---

From: "James Kempf" <[email-masked]>
Date: Fri, 23 Mar 2007 09:18:09 -0700

See RFC 4429.

            jak

----- Original Message ----- 
From: "Kandra Mohan-a22098" <[email-masked]>
To: <[email-masked]>
Sent: Friday, March 23, 2007 5:22 AM
Subject: RE: [Mipshop] RFC4068bis

Hi,

I have few doubts.

Thanks & Regards,
Mohan

-----Original Message-----
From: Rajeev Koodli [mailto:[email-masked]] 
Sent: Wednesday, March 21, 2007 4:07 PM
To: [email-masked]
Subject: [Mipshop] RFC4068bis

Folks,

Thanks,

-Rajeev

---

From: "Kandra Mohan-a22098" <[email-masked]>
Date: Mon, 26 Mar 2007 12:42:30 +0800

Hi,

I agree from O-DAD point of view, that a node can send binding updates
with Optimistic address, but as mentioned it has to pay some penalty
(packets lost) in case of collision. But this is not there when compared
to FNA[FBU] method, where MN will not lose packets, no wrong tunnel and
route additions at PAR. 

So, somehow if MN makes sure of the address, it won't lose any packets,
that's my intention. 

Thanks & Regards,
Mohan

-----Original Message-----
From: James Kempf [mailto:[email-masked]] 
Sent: Friday, March 23, 2007 9:48 PM
To: Kandra Mohan-a22098; [email-masked]
Subject: Re: [Mipshop] RFC4068bis

See RFC 4429.

            jak

----- Original Message ----- 
From: "Kandra Mohan-a22098" <[email-masked]>
To: <[email-masked]>
Sent: Friday, March 23, 2007 5:22 AM
Subject: RE: [Mipshop] RFC4068bis

Hi,

I have few doubts.

Thanks & Regards,
Mohan

-----Original Message-----
From: Rajeev Koodli [mailto:[email-masked]] 
Sent: Wednesday, March 21, 2007 4:07 PM
To: [email-masked]
Subject: [Mipshop] RFC4068bis

Folks,

Thanks,

-Rajeev